# XQilla DOM3 API Documentation

# AutoRelease< TYPE > Class Template Reference

`#include <XPath2MemoryManager.hpp>`

List of all members.

## Public Member Functions

| AutoRelease (TYPE *p)
| ~AutoRelease ()
TYPE & | operator* () const
TYPE * | operator-> () const
| operator TYPE * () const
TYPE * | get () const
TYPE * | adopt ()
TYPE * | swap (TYPE *p)
void | set (TYPE *p)

## Detailed Description

### template<class TYPE>
class AutoRelease< TYPE >

Examples:

  dom-basic.cpp, dom-context-item.cpp, and dom-resolver.cpp.

## Constructor & Destructor Documentation

template<class TYPE>

AutoRelease< TYPE >::AutoRelease | ( | TYPE * | p | ) | `[inline]`

template<class TYPE>

AutoRelease< TYPE >::~AutoRelease | ( |  | ) | `[inline]`

## Member Function Documentation

template<class TYPE>

TYPE* AutoRelease< TYPE >::adopt | ( |  | ) | `[inline]`

template<class TYPE>

TYPE* AutoRelease< TYPE >::get | ( |  | ) | const`[inline]`

template<class TYPE>

AutoRelease< TYPE >::operator TYPE * | ( |  | ) | const`[inline]`

template<class TYPE>

TYPE& AutoRelease< TYPE >::operator* | ( |  | ) | const`[inline]`

template<class TYPE>

TYPE* AutoRelease< TYPE >::operator-> | ( |  | ) | const`[inline]`

template<class TYPE>

void AutoRelease< TYPE >::set | ( | TYPE * | p | ) | `[inline]`

template<class TYPE>

TYPE* AutoRelease< TYPE >::swap | ( | TYPE * | p | ) | `[inline]`

The documentation for this class was generated from the following file:

- XPath2MemoryManager.hpp